class DatabaseConnector:
    def __init__(self, connection_string):
        self.connection_string = connection_string
        self.connection = None

    def connect(self):
        import pyodbc
        try:
            self.connection = pyodbc.connect(self.connection_string)
            print("Database connection established.")
        except Exception as e:
            print(f"Error connecting to the database: {e}")

    def disconnect(self):
        if self.connection:
            self.connection.close()
            print("Database connection closed.")